# frozen_string_literal: true

require 'thor'
require 'funkce/version'
require 'funkce/generators/function'

module Funkce
  class CLI < Thor
    desc 'version', 'Prints the funkce version information'
    def version
      puts "Funkce version #{Funkce::VERSION}"
    end

    desc 'function', 'Generates a function'
    def function(group, name)
      Funkce::Generators::Function.start([group, name])
    end
  end
end
